Subject: Re: [TI-99/4A] Re: GK in MESS

From: fdos <[email-masked]>
Date: Mon, 21 Jun 2010 10:08:56 -0700

Michael,

A number of real world SGCPU problems can be solved with Tony Knerr's 
OPSYS GROM replacement, but it also changes the bank selection method. 
He can explain much better, but he's only on the other TI groups.

The SGCPU will, of course, provide us with the desired PC style keyboard 
operation.  Which will really make me happy.

As you know a very similar video (V9938) problem sometimes occurs on 
reset with the MESS TI-99/4A with EVPC emulator also.  There may be a 
common solution available from Tony.

Bill S

Michael Zapf wrote:
>  
> 
> Hello all,
> 
>  > - HSGPL is working now (with valuable help from Harald Glaab - thanks 
> again)
>  > - GRAM Kracker is working (point by point as described in the manual)
> 
> and SGCPU also seems to be back among the living. There are still some 
> few glitches, like sometimes a blank screen on reset, but this is 
> related to the v9938 emulation which is a ... (another word for mess).
> 
> You really see that no one bothered about the v9938 for years.
> 
> This was really tough work - the SGCPU seemed to lock up on startup 
> (blank screen, permanent beep tone), and I could trace it down to a 
> write of >00 to video register 9. This should not actually be a problem 
> (previous value 02 (PAL), change to NTSC (00)), but the broken 
> implementation stumbles over the change of VR9 when it happens during a 
> scanline interrupt (which is not properly implemented as well). It will 
> take some more investigations to really find out the problem, but for 
> the time being, it's running.
> 
> Michael
> 
>